/*
 * VM optimize option
 */

#ifndef VM_OPTS_H_INCLUDED
#define VM_OPTS_H_INCLUDED

#ifndef IGNORE_OPTIMIZE
#define IGNORE_OPTIMIZE 1
#endif /* IGNORE_OPTIMIZE */

#if IGNORE_OPTIMIZE == 0

/* compiler depend */
#define OPT_DIRECT_THREADED_CODE     1
#define OPT_CALL_THREADED_CODE       0

/* architecture independent */
#define OPT_BASIC_OPERATIONS         1
#define OPT_INLINE_METHOD_CACHE      1

/* architecture independent, affects generated code */
#define OPT_OPERANDS_UNIFICATION     1
#define OPT_INSTRUCTIONS_UNIFICATION 1
#define OPT_UNIFY_ALL_COMBINATION    1

#define OPT_STACK_CACHING            0

#endif /* IGNORE_OPTIMIZE */

#endif /* VM_OPTS_H_INCLUDED */

